/**
 *
 * Copyright 2005-2006 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.apache.activecluster;

import javax.jms.Destination;
import javax.jms.JMSException;

/**
 * A simple marshaller for Destinations
 *
 * @version $Revision: 1.5 $
 */
public interface DestinationMarshaller {

    /**
     * Builds a destination from a destinationName
     * @param destinationName 
     *
     * @return the destination to send messages to all members of the cluster
     */
    public Destination getDestination(String destinationName) throws JMSException;

    /**
     * Gets a destination's physical name
     * @param destination
     * @return the destination's physical name
     */
    public String getDestinationName(Destination destination);
}
